#dummy.capitalize {
    text-transform: capitalize;
}

#txt-area {
    margin-bottom: 10px;
}

.btn.btn-info {
    background: #007bff;
    border-color: #007bff;
}

body {
    margin: 0;
    font-family: sans-serif;
}

.hero {
    /* Sizing */
    width: 100vw;
    height: 100vh;
    /* Flexbox stuff */
    display: flex;
    justify-content: center;
    align-items: center;
    /* Text styles */
    text-align: center;
    color: white;
    /* Background styles */
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url('header-bg.jpg');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.hero h1 {
    /* Text styles */
    font-size: 3em;
    /* Margins */
    margin-top: 0;
    margin-bottom: 0.5em;
}

.hero h2 {
    /* Text styles */
    font-size: 2em;
}

.hero .btn {
    /* Positioning and sizing */
    display: block;
    width: 200px;
    /* Padding and margins */
    padding: 1em;
    margin-top: 50px;
    margin-left: auto;
    margin-right: auto;
    /* Text styles */
    color: white;
    text-decoration: none;
    font-size: 1em;
    /* Border styles */
    border: 1px solid white;
    border-radius: 10px;
    /* Background styles */
    /* background-color: rgba(147, 112, 219, 0.8); */
}

.modal-dialog {
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: 100%;
    margin: auto;
    pointer-events: none;
}

.modal-content {
    pointer-events: all;
}

#loading {
    display: table;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #fff;
    opacity: 0.8;
}

#loading .loadingMsg {
    display: table-cell;
    text-align: center;
    vertical-align: middle;
    padding-top: 140px;
    background: url(gif/Spinner.gif) center center no-repeat;
}

#di-btn:hover,
#di-btn:focus,
#di-btn.focus,
#sd-btn:hover,
#sd-btn:focus,
#sd-btn.focus {
    color: rgb(0, 0, 0);
    background-color: gray;
    text-decoration: none;
    opacity: 0.5;
}

#di-btn:active,
#sd-btn:active {
    color: rgb(0, 0, 0);
    background-color: rgb(70, 67, 67);
    text-decoration: none;
    opacity: 0.7;
}


/* css animation loader - Nuwan */

* {
    box-sizing: border-box;
}

#plug,
#socket {
    fill: rgb(22, 111, 189)
}

#loop-normal {
    fill: none;
    stroke: rgb(22, 111, 189);
    stroke-width: 12
}

#loop-offset {
    display: none
}

#main-loader svg {
    /* position: absolute; */
    width: 180px;
    height: 80px;
    align-content: center;
    /* top: 0;
    right: 0;
    bottom: 0;
    left: 0; */
    margin: auto;
}

.credit {
    /* position: absolute; */
    bottom: 10px;
    width: 100%;
    text-align: center;
}

.credit a {
    color: rgba(8, 133, 211, 0.968);
    font: 800 75% "Open Sans", sans-serif;
    text-transform: uppercase;
    text-decoration: none;
}

.progress {
    margin-top: 3px;
    margin-bottom: 3px;
}

#winner {
    margin-bottom: 5px
}

#bars .col-sm-4 {
    padding-right: 1px
}


/* test css for pie chart */

#chart_wrap {
    overflow: hidden;
}

#piechart {
    margin-top: 20px;
    width: 100%;
    height: 350px;
}